<style>

.irobotbox-top .irobotbox-head .title {font-weight: 400;font-size: inherit;margin: 0;}
.irobotbox-top .irobotbox-head .title:after {content: "You may like";color:#ffffff;}
.irobotbox-top .irobotbox-list .title {color: #333;}
.irobotbox-top .irobotbox-list .expand {display: inline;}
@media (max-width:480px) {.irobotbox-top .irobotbox-list > li:nth-child(n+7) {display: none;}.irobotbox-top {display: block;}}
.irobotbox-top .irobotbox-head {background-color: #fcec2e;}
.irobotbox-bottom, .irobotbox-append {display: none;}
@media (min-width: 640px) {.irobotbox-list-col7 .coupon, .irobotbox-list-col8 .coupon, .irobotbox-list-col9 .coupon, .irobotbox-list-col10 .coupon {display: none !important;}}
.irobotbox-list {margin: 0 0 0 0;padding: 0;background: #FFF;}
.irobotbox-list:after, 
.irobotbox-list:before {display: table;line-height: 0;content: "";}
.irobotbox-list:after {clear: both;}
.irobotbox-list > li {float: left;width: 16.66%;list-style: none;box-sizing: border-box;padding: 10px 0 10px 20px;position: relative;margin: 0;}
.irobotbox-append, .irobotbox-bottom {margin-top: 10px;}
.irobotbox-list-col6 > li {width: 16.66%;}
.irobotbox-list-col7 {margin-left: -18px;}
.irobotbox-list-col7 > li {width: 14.28%;padding-left: 18px;}
.irobotbox-list-col8 {margin-left: -16px;}
.irobotbox-list-col8 > li {width: 12.5%;padding-left: 16px;}
.irobotbox-list-col9 {margin-left: -15px;}
.irobotbox-list-col9 > li {width: 11.11%;padding-left: 15px;}
.irobotbox-list-col10 {margin-left: -14px;}
.irobotbox-list-col10 > li {width: 10%;padding-left: 14px;}
.irobotbox-list-col11 {margin-left: -12px;}
.irobotbox-list-col11 > li {width: 9.09%;padding-left: 12px;}
.irobotbox-list-col12 {margin-left: -10px;}
.irobotbox-list-col12 > li {width: 8.33%;padding-left: 10px;}
.irobotbox-list-collapse .expand {display: none;}
.irobotbox-list-collapse > li {padding: 0;}
@media (max-width:800px) {img {max-width: 100%;}.irobotbox-list {margin-left: -20px;}.irobotbox-list > li {width: 20%!important;padding-left: 20px;}}
@media (max-width:640px) {img {max-width: 100%;}.irobotbox-list {margin-left: -18px;}.irobotbox-list > li {width: 33.33%!important;padding-left: 18px;}}
@media (max-width:480px) {img {max-width: 100%;}
.irobotbox-list {margin-left: -15px;}
.irobotbox-list > li {width: 50%!important;padding-left: 15px;}}
.irobotbox-list .cover:after {display: block;content: "";padding-top: 100%;background-repeat: no-repeat;background-size: cover;background-position: center;}
.irobotbox-list a {text-decoration: none;}
.irobotbox-list a:hover .title {text-decoration: underline;}
.irobotbox-list .title {color: #333;margin: 5px 0;}
.irobotbox-list .title:after {display: block;display: -webkit-box;-webkit-line-clamp: 2;-webkit-box-orient: vertical;font-size: 14px;line-height: 1.4em;height: 2.8em;overflow: hidden;white-space: normal;word-break: break-word;-webkit-hyphens: auto;-ms-hyphens: auto;
hyphens: auto;}
.irobotbox-list .plus {height: 20px;overflow: hidden;}
.irobotbox-list .price {color: #E50010;}
.irobotbox-list .price:after {content: "";font-size: 14px;}
.irobotbox-list .origin {margin-left: 3px;font-size: 12px;color: #AAA;}
.irobotbox-list .origin:after {display: none;content: "";text-decoration: line-through;}
.irobotbox-list .coupon {display: none;width: 60px;height: 60px;border-radius: 50%;background: rgba(224,13,12,.8);color: #FFF;position: absolute;top: 10px;right: 10px;text-align: center;padding-top: 12px;box-sizing: border-box;}
.irobotbox-list .coupon:before {content: "";font-size: 20px;}
.irobotbox-list .coupon:after {content: "Off";font-size: 12px;position: absolute;bottom: 8px;right: 12px;}
.irobotbox-cs * {text-align: left;}
.irobotbox-cs {border: solid 1px #3AADFE;}
.irobotbox-top .irobotbox-head {min-height: 24px;}
.irobotbox-append .irobotbox-head .title, .irobotbox-bottom .irobotbox-head .title, .irobotbox-top .irobotbox-head .title {min-height: 12px;margin:0}
p:empty + hr {display: none;}hr + span.ebay {display: none;}
.dc_tracker_img {display: none;}
#ds_div > .dc_tracker_img:last-of-type {display: block;}

[data-lid="354212091195"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/S9AAAOSw49Zi8Nc0/$_3.JPG?set_id=2);}
[data-lid="354212091195"] .title:after {content: "For Ford Edge 2015-2018 Car Stereo Carplay Radio Android 13 GPS Navi WiFi 2+32GB";}
[data-lid="354212091195"] .price:after {content: "USD109.99";}
[data-lid="354212091195"] .origin:after {display: none;}
[data-lid="354212091195"] .coupon {display: none;}

[data-lid="354397794245"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/NDkAAOSwgKhjdfdI/$_3.JPG?set_id=2);}
[data-lid="354397794245"] .title:after {content: "64GB For Nissan Frontier 2009-2012 Android13 Car GPS Radio Player Stereo CarPlay";}
[data-lid="354397794245"] .price:after {content: "USD89.99";}
[data-lid="354397794245"] .origin:after {display: none;}
[data-lid="354397794245"] .coupon {display: none;}

[data-lid="354397794245"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/NDkAAOSwgKhjdfdI/$_3.JPG?set_id=2);}
[data-lid="354397794245"] .title:after {content: "64GB For Nissan Frontier 2009-2012 Android13 Car GPS Radio Player Stereo CarPlay";}
[data-lid="354397794245"] .price:after {content: "USD89.99";}
[data-lid="354397794245"] .origin:after {display: none;}
[data-lid="354397794245"] .coupon {display: none;}

[data-lid="355480545016"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/ODAwWDgwMA==/z/x~oAAeSwkwBobI-t/$_3.JPG?set_id=2);}
[data-lid="355480545016"] .title:after {content: "For 2012-2014 Toyota Camry Radio Car Apple Carplay Android GPS Navigation 2+64GB";}
[data-lid="355480545016"] .price:after {content: "USD99.99";}
[data-lid="355480545016"] .origin:after {display: none;}
[data-lid="355480545016"] .coupon {display: none;}

[data-lid="355514473966"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/RAMAAOSw0uFl5Zo9/$_3.JPG?set_id=2);}
[data-lid="355514473966"] .title:after {content: "9 Android 15 Stereo Radio GPS Navigation For Dodge Charger Magnum 2005-07 LHD";}
[data-lid="355514473966"] .price:after {content: "USD119.99";}
[data-lid="355514473966"] .origin:after {display: none;}
[data-lid="355514473966"] .coupon {display: none;}

[data-lid="355539556367"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/5aYAAOSw8bpjcv20/$_3.JPG?set_id=2);}
[data-lid="355539556367"] .title:after {content: "64G For Mercedes-Benz S-Class W220 Android 15 Car Radio GPS Stereo Car Auto Play";}
[data-lid="355539556367"] .price:after {content: "USD109.99";}
[data-lid="355539556367"] .origin:after {display: none;}
[data-lid="355539556367"] .coupon {display: none;}

[data-lid="355894284609"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/DtcAAOSw4KtmoHbQ/$_3.JPG?set_id=2);}
[data-lid="355894284609"] .title:after {content: "64G Carplay Android Radio GPS Navi Stereo For 2010-2019 Mitsubishi ASX Outlander";}
[data-lid="355894284609"] .price:after {content: "USD104.99";}
[data-lid="355894284609"] .origin:after {display: none;}
[data-lid="355894284609"] .coupon {display: none;}

[data-lid="355967367038"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/F6MAAOSwVC5kS0RU/$_3.JPG?set_id=2);}
[data-lid="355967367038"] .title:after {content: "64GB For Cadillac Escalade 2007-2014 Android 15 Tesla Screen 9.7' Car GPS Radio";}
[data-lid="355967367038"] .price:after {content: "USD159.99";}
[data-lid="355967367038"] .origin:after {display: none;}
[data-lid="355967367038"] .coupon {display: none;}

[data-lid="356237025350"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/g-kAAOSwOZxnLYa0/$_3.JPG?set_id=2);}
[data-lid="356237025350"] .title:after {content: "9' For 2012-2020 Dodge Journey Carplay Android 15 Car Stereo Radio Player GPS BT";}
[data-lid="356237025350"] .price:after {content: "USD152.99";}
[data-lid="356237025350"] .origin:after {display: none;}
[data-lid="356237025350"] .coupon {display: none;}

[data-lid="356378437481"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/bWgAAOSwFTZnX9Lj/$_3.JPG?set_id=2);}
[data-lid="356378437481"] .title:after {content: "10.1' For Ford Ecosport 2018-2020 Android 15 Car Stereo Radio GPS Navi Carplay";}
[data-lid="356378437481"] .price:after {content: "USD119.99";}
[data-lid="356378437481"] .origin:after {display: none;}
[data-lid="356378437481"] .coupon {display: none;}

[data-lid="356380853599"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/mbUAAOSwAMBnYOgS/$_3.JPG?set_id=2);}
[data-lid="356380853599"] .title:after {content: "For 2007-2013 Acura MDX WIFI CarPlay Android Auto Car Navi Radio 2008 2009 2010";}
[data-lid="356380853599"] .price:after {content: "USD109.99";}
[data-lid="356380853599"] .origin:after {display: none;}
[data-lid="356380853599"] .coupon {display: none;}

[data-lid="356400985103"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFg4ODg=/z/F8oAAOSwhLFnaQSU/$_3.JPG?set_id=2);}
[data-lid="356400985103"] .title:after {content: "FOR FORD ESCAPE 2007-2012 ANDROID AUTO APPLE CARPLAY CAR STEREO GPS NAVI RADIO";}
[data-lid="356400985103"] .price:after {content: "USD109.99";}
[data-lid="356400985103"] .origin:after {display: none;}
[data-lid="356400985103"] .coupon {display: none;}

[data-lid="356595404512"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/ZLoAAOSwaudnuD4a/$_3.JPG?set_id=2);}
[data-lid="356595404512"] .title:after {content: "For Mazda CX-5 2013-2016 Android 15 Apple CarPlay Car Stereo Radio GPS Navi WiFi";}
[data-lid="356595404512"] .price:after {content: "USD99.99";}
[data-lid="356595404512"] .origin:after {display: none;}
[data-lid="356595404512"] .coupon {display: none;}

[data-lid="356614354424"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/3c4AAOSwhI5nwARO/$_3.JPG?set_id=2);}
[data-lid="356614354424"] .title:after {content: "For Honda Accord 2003-2007 Apple CarPlay Android 15 Car Stereo Radio GPS FM WIFI";}
[data-lid="356614354424"] .price:after {content: "USD119.99";}
[data-lid="356614354424"] .origin:after {display: none;}
[data-lid="356614354424"] .coupon {display: none;}

[data-lid="356638453179"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/UjoAAOSwZRtnyRCL/$_3.JPG?set_id=2);}
[data-lid="356638453179"] .title:after {content: "For 2009-2011 Mazda RX-8 Android 13.0 Car Stereo Radio GPS NAVI BT WIFI RDS 32GB";}
[data-lid="356638453179"] .price:after {content: "USD89.99";}
[data-lid="356638453179"] .origin:after {display: none;}
[data-lid="356638453179"] .coupon {display: none;}

[data-lid="356657065203"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/LgcAAOSwD1FlZ--d/$_3.JPG?set_id=2);}
[data-lid="356657065203"] .title:after {content: "For 2012-2016 Subaru BRZ Scion FRS Toyota 86 GT86 Android 13 Car Radio Head Unit";}
[data-lid="356657065203"] .price:after {content: "USD94.99";}
[data-lid="356657065203"] .origin:after {display: none;}
[data-lid="356657065203"] .coupon {display: none;}

[data-lid="356712904527"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/dMEAAOSwUmtn5Pbc/$_3.JPG?set_id=2);}
[data-lid="356712904527"] .title:after {content: "For 2005-2007 Dodge Charger Magnum Android 15 Carplay Car Stereo Radio GPS Navi";}
[data-lid="356712904527"] .price:after {content: "USD119.99";}
[data-lid="356712904527"] .origin:after {display: none;}
[data-lid="356712904527"] .coupon {display: none;}

[data-lid="356761898806"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/Jb8AAOSwmydn-Im6/$_3.JPG?set_id=2);}
[data-lid="356761898806"] .title:after {content: "10.1' Android 13 Carplay Car Stereo Radio Gps Navi For Ford Explorer 2002-2010";}
[data-lid="356761898806"] .price:after {content: "USD99.99";}
[data-lid="356761898806"] .origin:after {display: none;}
[data-lid="356761898806"] .coupon {display: none;}

[data-lid="356835797406"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/ZbkAAOSwwWpmVUMF/$_3.JPG?set_id=2);}
[data-lid="356835797406"] .title:after {content: "For Ford Fusion Mondeo 2013-2020 9' Android 15 Car Stereo Radio GPS Navi Carplay";}
[data-lid="356835797406"] .price:after {content: "USD124.99";}
[data-lid="356835797406"] .origin:after {display: none;}
[data-lid="356835797406"] .coupon {display: none;}

[data-lid="357598154114"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/5KYAAeSwIwlowS~W/$_3.JPG?set_id=2);}
[data-lid="357598154114"] .title:after {content: "APPLE CARPLAY FOR FORD MUSTANG 2015-2021 ANDROID 15 CAR STEREO RADIO GPS 2+64GB";}
[data-lid="357598154114"] .price:after {content: "USD149.99";}
[data-lid="357598154114"] .origin:after {display: none;}
[data-lid="357598154114"] .coupon {display: none;}

[data-lid="358047874154"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/uk0AAeSweJRpS4l-/$_3.JPG?set_id=2);}
[data-lid="358047874154"] .title:after {content: "4+64G For 2008-2012 Nissan Altima Auto AC CarPlay Car Radio Stereo Android 15";}
[data-lid="358047874154"] .price:after {content: "USD119.99";}
[data-lid="358047874154"] .origin:after {display: none;}
[data-lid="358047874154"] .coupon {display: none;}

[data-lid="358156478271"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/JUQAAOSwLz1nNsYL/$_3.JPG?set_id=2);}
[data-lid="358156478271"] .title:after {content: "For 2007-2011 Honda CRV Android 15 Carplay Car Stereo Radio GPS Navi WIFI 2+64GB";}
[data-lid="358156478271"] .price:after {content: "USD99.99";}
[data-lid="358156478271"] .origin:after {display: none;}
[data-lid="358156478271"] .coupon {display: none;}

[data-lid="358171723035"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/OTMxWDEwMDA=/z/09oAAeSwZCxo8JfG/$_3.JPG?set_id=2);}
[data-lid="358171723035"] .title:after {content: "For 2015 2016 2017 Toyota Camry Radio GPS Stereo Apple CarPlay & Android Auto";}
[data-lid="358171723035"] .price:after {content: "USD109.99";}
[data-lid="358171723035"] .origin:after {display: none;}
[data-lid="358171723035"] .coupon {display: none;}

[data-lid="358183525403"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/l1MAAOSwygVnV66W/$_3.JPG?set_id=2);}
[data-lid="358183525403"] .title:after {content: "For Mazda 2 2007-2014 Android 15.0 Carplay Car Stereo Radio GPS Navi WIFI 2+64GB";}
[data-lid="358183525403"] .price:after {content: "USD89.99";}
[data-lid="358183525403"] .origin:after {display: none;}
[data-lid="358183525403"] .coupon {display: none;}

</style>